org.keycloak.services.resources.account.resources

## Class AbstractResourceService.Client

- java.lang.Object
- - org.keycloak.representations.idm.ClientRepresentation
  - - org.keycloak.services.resources.account.resources.AbstractResourceService.Client

- Enclosing class:
    AbstractResourceService

      public static class AbstractResourceService.Client
      extends ClientRepresentation

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.idm.ClientRepresentation

      `adminUrl, alwaysDisplayInConsole, attributes, authenticationFlowBindingOverrides, authorizationServicesEnabled, baseUrl, bearerOnly, clientAuthenticatorType, clientId, clientTemplate, consentRequired, defaultClientScopes, defaultRoles, description, directAccessGrantsEnabled, directGrantsOnly, enabled, frontchannelLogout, fullScopeAllowed, id, implicitFlowEnabled, name, nodeReRegistrationTimeout, notBefore, optionalClientScopes, origin, protocol, protocolMappers, publicClient, redirectUris, registeredNodes, registrationAccessToken, rootUrl, secret, serviceAccountsEnabled, standardFlowEnabled, surrogateAuthRequired, webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client()`

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.representations.idm.ClientRepresentation

      `getAccess, getAdminUrl, getAttributes, getAuthenticationFlowBindingOverrides, getAuthorizationServicesEnabled, getAuthorizationSettings, getBaseUrl, getClientAuthenticatorType, getClientId, getClientTemplate, getDefaultClientScopes, getDefaultRoles, getDescription, getId, getName, getNodeReRegistrationTimeout, getNotBefore, getOptionalClientScopes, getOrigin, getProtocol, getProtocolMappers, getRedirectUris, getRegisteredNodes, getRegistrationAccessToken, getRootUrl, getSecret, getWebOrigins, isAlwaysDisplayInConsole, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isDirectGrantsOnly, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, isSurrogateAuthRequired, isUseTemplateConfig, isUseTemplateMappers, isUseTemplateScope, setAccess, setAdminUrl, setAlwaysDisplayInConsole, setAttributes, setAuthenticationFlowBindingOverrides, setAuthorizationServicesEnabled, setAuthorizationSettings, setBaseUrl, setBearerOnly, setClientAuthenticatorType, setClientId, setConsentRequired, setDefaultClientScopes, setDefaultRoles, setDescription, setDirectAccessGrantsEnabled, setDirectGrantsOnly, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setId, setImplicitFlowEnabled, setName, setNodeReRegistrationTimeout, setNotBefore, setOptionalClientScopes, setOrigin, setProtocol, setProtocolMappers, setPublicClient, setRedirectUris, setRegisteredNodes, setRegistrationAccessToken, setRootUrl, setSecret, setServiceAccountsEnabled, setStandardFlowEnabled, setSurrogateAuthRequired, setWebOrigins`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client()

Copyright © 2020 JBoss by Red Hat. All rights reserved.